> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查詢事件清單

> 查詢事件清單

查詢事件清單。

> [!NOTE]
>
> 該介面為公開介面，不需要認證。


## OpenAPI

````yaml openapi/event-markets-zh-TW.yaml GET /api/v4/prediction/events
openapi: 3.0.3
info:
  title: DexBuilder Prediction Market API
  version: 1.0.0
  description: DexBuilder 事件市場 REST API
servers:
  - url: https://api.dexbuilder.com
security: []
paths:
  /api/v4/prediction/events:
    get:
      summary: 查詢事件清單
      description: 查詢事件清單
      operationId: query_events
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
        - name: cursor
          in: query
          required: false
          schema:
            type: string
        - name: sort
          in: query
          required: false
          schema:
            type: string
        - name: ascending
          in: query
          required: false
          schema:
            type: boolean
        - name: event_id
          in: query
          required: false
          schema:
            type: string
        - name: slug
          in: query
          required: false
          schema:
            type: string
        - name: tag_slug
          in: query
          required: false
          schema:
            type: string
        - name: active
          in: query
          required: false
          schema:
            type: boolean
        - name: closed
          in: query
          required: false
          schema:
            type: boolean
        - name: start_date_min
          in: query
          required: false
          description: Unix 毫秒時間戳。
          schema:
            type: integer
            minimum: 0
        - name: start_date_max
          in: query
          required: false
          description: Unix 毫秒時間戳。
          schema:
            type: integer
            minimum: 0
        - name: end_date_min
          in: query
          required: false
          description: Unix 毫秒時間戳。
          schema:
            type: integer
            minimum: 0
        - name: end_date_max
          in: query
          required: false
          description: Unix 毫秒時間戳。
          schema:
            type: integer
            minimum: 0
        - name: tag_id
          in: query
          required: false
          description: 可重複傳入的 Tag ID。
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: exclude_tag_id
          in: query
          required: false
          description: 可重複傳入的排除 Tag ID。
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: 請求成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventsPage'
        '400':
          description: 請求參數錯誤
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: 服務暫時不可用
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    EventsPage:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/EventSummary'
        next_cursor:
          type: string
          nullable: true
          description: 下一頁游標；為 null 時表示沒有更多結果。
      description: 回應物件。
    Error:
      type: object
      description: 錯誤回應。
      properties:
        label:
          type: string
          example: INVALID_ARGUMENT
        message:
          type: string
          example: invalid request
    EventSummary:
      type: object
      properties:
        active:
          type: boolean
        category:
          type: string
          nullable: true
        closed:
          type: boolean
        closed_time:
          type: integer
          nullable: true
        end_date:
          type: integer
          nullable: true
        event_id:
          type: string
        icon:
          type: string
          nullable: true
        image:
          type: string
          nullable: true
        slug:
          type: string
        start_date:
          type: integer
          nullable: true
        start_time:
          type: integer
          nullable: true
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagSummary'
        title:
          type: object
          nullable: true
        volume:
          type: string
          nullable: true
      description: 回應物件。
    TagSummary:
      type: object
      properties:
        label:
          type: object
          nullable: true
        slug:
          type: string
        tag_id:
          type: string
      description: 回應物件。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.